Name:         firewall
Release:      3
Copyright:    GPL
Group:        Utilities/System
Provides:     firewall 
Requires:     ipchains
Autoreqprov:  on
Packager:     mz@webideal.de
Summary:      Firewall and masquerading scripts for RedHat
Vendor:				webideal (http://www.webideal.de)
Version:      2.2
Source0:      firewall-2.2.tgz
Buildroot:    /tmp/%{name}-%{version}
BuildArchitectures: noarch

%description
Two scripts to configure your machine as a firewall and/or masquerading
router, originally written for SuSE, now adapted to RedHat 6.0
See /usr/doc/firewall-2.2 for more details.

Authors:
--------
    Bodo Bauer <bb@ricochet.net>
    Volker Graf <volker.graf@student.uni-tuebingen.de> (fcii)

%changelog
* Fri Dec 10 1999 Mirko Zeibig <mz@webideal.de>
- got rid ob bash2-dependance, which did not work on boot
  as initscripts are evaluated using bash1 on RedHat
- got rid of FC
* Tue Sep 21 1999 Mirko Zeibig <mirko.zeibig@gmx.de>
- changed the config-file a bit, included Back Orifice and Netbus in locked
  ports
* Wed Jul 28 1999 Mirko Zeibig <mirko.zeibig@gmx.de>
- changed the scripts so they do run with RedHat 6.0
- all rc.config-settings go to /etc/sysconfig/firewall/config
- all other config-files (fw-friends, fw-inout, fw-ssh) do
  reside in /etc/sysconfig/firewall/ as well
- with RH you will need bash2 as well!!

%prep

%setup -n firewall-2.2

%build

%install
INST_ROOT=$RPM_BUILD_ROOT
rm -rf $INST_ROOT
mkdir -p $INST_ROOT/sbin
mkdir -p $INST_ROOT/usr/sbin
mkdir -p $INST_ROOT/etc/rc.d/init.d
mkdir -p $INST_ROOT/etc/sysconfig/firewall
/usr/bin/install Skripts/firewall -g root -o root -m 740 $INST_ROOT/etc/rc.d/init.d/
/usr/bin/install Skripts/masquerade -g root -o root -m 740 $INST_ROOT/etc/rc.d/init.d/
/usr/bin/install Skripts/config -g root -o root -m 440 $INST_ROOT/etc/sysconfig/firewall/
cd $INST_ROOT/usr/sbin
ln -sf ../../etc/rc.d/init.d/firewall rcfirewall
ln -sf ../../etc/rc.d/init.d/masquerade rcmasquerade

%clean
INST_ROOT=$RPM_BUILD_ROOT
rm -rf $INST_ROOT

%files
%doc Doc/*
%config /etc/sysconfig/firewall/config
/etc/rc.d/init.d/firewall
/etc/rc.d/init.d/masquerade
/usr/sbin/rcfirewall
/usr/sbin/rcmasquerade

%post 
echo "Set up links in rc.d ..."
/sbin/chkconfig --add firewall
/sbin/chkconfig --add masquerade
echo "Make sure to edit /etc/sysconfig/firewall/config"
echo "before starting the firewall."

%preun
echo "Taking down firewall and masquerade"
[ -f /var/lock/subsys/firewall ] && /bin/bash2 /etc/rc.d/init.d/firewall stop
[ -f /var/lock/subsys/masquerade ] && /bin/bash2 /etc/rc.d/init.d/masquerade stop
echo "Remove links in rc.d ..."
/sbin/chkconfig --del firewall
/sbin/chkconfig --del masquerade

